* {
    background-color: #333;
    color: rgb(241, 254, 255);
    font-size: 15px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
}

@keyframes anim {
    0% {
        top: -50vh;
        opacity: 0%;
    }
    100% {
        top: 0vh;
        opacity: 100%;
    }
}


body {
    position: absolute;
    display: flex;
    align-items: center;
    justify-items: center;
    flex-direction: column;
    width: 100vw;
    overflow-x: hidden;
    padding: 00px 20px 20px 20px;
    animation-duration: 1.2s; /* the duration of the animation */
    animation-timing-function: ease-out; /* how the animation will behave */
    animation-fill-mode: forwards;
    animation-delay: 0s; /* how long to delay the animation from starting */
    animation-iteration-count: 1; /* how many times the animation will play */
    animation-name: anim; /* the name of the animation we defined above */
}

body::before {
    z-index: 100;
    content: "";
    position: sticky;
    top: 0px;
    width: 100vw;
    height: 50px;
    background: rgb(0,0,0);
    background: -moz-linear-gradient(180deg, rgba(0,0,0,1) 0%, rgba(0,212,255,0) 100%);
    background: -webkit-linear-gradient(180deg, rgba(0,0,0,1) 0%, rgba(0,212,255,0) 100%);
    background: linear-gradient(180deg, rgba(0,0,0,1) 0%, rgba(0,212,255,0) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000",endColorstr="#00d4ff",GradientType=1);
}

#tutorial > #content {
    position: absolute;
    background: none;
    z-index: 200;
    top: 30vh;
    left: 5vw;
    display: flex;
    flex-direction: row;
    align-items: center;
}

img {
    background: none;
}

#txt {
    width: 50vw;
    padding: 20px;
    margin-left: 100px;
    font-size: 20px;
    color: #111;
    background-color: white;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
}

#txt::after {
    position: absolute;
    top: 100px;
    left: 200px;
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-top: 100px solid transparent;
    border-bottom: 100px solid transparent;
    border-right:100px solid white;
}

#txt > strong {
    color: #111;
    font-size: 23px;
    background: none;
}

#tutorial>#blur {
    position: absolute;
    top: -100vh;
    left: -100vw;
    width: 200vw;
    height: 1000vh;
    z-index: 100;
    background-color: rgba(0, 0, 0,0.8);
}

h1 {
    position: relative;
    font-size: 8vw;
    padding-bottom: 30px;
    padding-top: 20px;
    z-index: 0;
    background-image: linear-gradient(90deg, rgba(91,45,122,1) 0%, rgba(16,103,77,1) 50%, rgba(1,232,0,1) 100%);
    background-size: 100%;
    background-clip: text;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent; 
    -moz-text-fill-color: transparent;
}

.modernContainer {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: min-content;
    margin: 25px;

}

.modern {
    border-radius: 30px;
    box-shadow: inset 0px 0px 10px rgba(255, 255, 255,0.5), 0px 0px 20px black;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    -ms-border-radius: 30px;
    -o-border-radius: 30px;
    padding: 40px;
}

canvas {
    border-radius: 10px;
    width: 65vw;
}

.parameters {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    width: 180px;
    margin: 30px;
}

.parameters > div > div {
    margin: 10px;
    border: none;
    box-shadow: inset 0px 0px 5px rgba(255, 255, 255,0.5), 0px 0px 5px black;
    padding: 10px;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}

#quantity {
    border: none;
    padding: 5px 10px;
    margin: 10px 0px;
    border-radius: 10px;
    box-shadow: inset 0px 0px 5px rgba(255, 255, 255,0.5), 0px 0px 5px black;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

button {
    margin: 5px;
    border-radius: 20px;
    padding: 10px 20px 13px 20px;
    border: none;
    box-shadow: inset 0px 0px 5px rgba(255, 255, 255,0.5), 0px 0px 5px black;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
    transition: transform 0.1s ease-in, box-shadow 0.1s ease-in;
    -webkit-transition: transform 0.1s ease-in, box-shadow 0.1s ease-in;
    -moz-transition: transform 0.1s ease-in, box-shadow 0.1s ease-in;
    -ms-transition: transform 0.1s ease-in, box-shadow 0.1s ease-in;
    -o-transition: transform 0.1s ease-in, box-shadow 0.1s ease-in;
}

button:hover {
    transform: scale(1.05);
    -webkit-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -ms-transform: scale(1.05);
    -o-transform: scale(1.05);
}

button:active {
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -o-transform: scale(1.1);
    box-shadow: inset 0px 0px 5px rgba(255, 255, 255,0.5), 0px 0px 10px black;
}

#graph {
    display: flex;
    flex-direction: row;
    align-items: end;
}

#graph > div {
    padding: 10px;
}

#graph > div > p {
    padding: 10px;
}

#explication {
    flex-direction: column;
    width: 80vw;
}

#explication > h2 {
    font-size: 25px;
    padding: 35px 0px 15px;
}

#explication > p {
    font-size: 18px;
    padding: 5px 0px;
    padding-left: 10px;
    transition: transform 0.2s ease-in;
    -webkit-transition: transform 0.2s ease-in;
    -moz-transition: transform 0.2s ease-in;
    -ms-transition: transform 0.2s ease-in;
    -o-transition: transform 0.2s ease-in;
}

#explication > p:hover {
    transform: scale(1.025);
    -webkit-transform: scale(1.025);
    -moz-transform: scale(1.025);
    -ms-transform: scale(1.025);
    -o-transform: scale(1.025);
}